@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;

    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
}

/* width */
::-webkit-scrollbar {
    width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #0F1A20;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #ADA296;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #ada29680;
}

body{
    width: 100%;
    height: 100vh;
    background-color: #0F1A20;
    color: #ADA296;
    overflow: hidden;
}

.conteiner{
    width: 100%;
    height: 100vh;
    display: flex;
    overflow: hidden;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 15px;
    animation: slideIn 0.3s ease-in-out forwards;
}

.botaoCheio{
    border-radius: 3px;
    border: none;
    background-color: #ADA296;
    width: 160px;
    height: 45px;

    font-size: 16px;
    transform: 0.2s;
}
.botaoCheio:hover{
    background-color: #ada296bb;
    transform: scale(1.04);
    cursor: pointer;
}



/* ANIMAÇÕES */
@keyframes fadeIn {
    from{opacity: 0}
    to{opacity: 1}
}
@keyframes fadeOut {
    from{opacity: 1}
    to{opacity: 0}
}
@keyframes slideIn {
    from{
        transform: translateX(-1000px);
        opacity: 0;
    }
    to{
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes slideOut {
    from{
        transform: translateX(0px);
    }
    to{
        transform: translateX(1000px);
    }
}

@keyframes chacoalhar {
    0%{ transform: translateX(0px) translateY(0px) }
    20%{ transform: translateX(30px) translateY(0px) }
    40%{ transform: translateX(30px) translateY(30px) }
    60%{ transform: translateX(30px) translateY(-30px) }
    80%{ transform: translateX(-30px) translateY(30px) }
    100%{ transform: translateX(0px) translateY(0px) }
}

/* Classes Animações */

.slideIn{
    animation: slideIn 0.3s ease-in-out forwards;
}

.slideOut{
    animation: slideOut 0.3s ease-in-out forwards;
}

.DivGlobalPopUp{
    display: flex;
    align-items: center;
    justify-content: center;

    position: absolute;
    top: 0px;
    left: 0px;

    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(2px);
}

.DivConteudoPopUp{
    display: flex;
    min-width: 200px;
    flex-direction: column;
    width: auto;
    height: auto;
    position: relative;

    padding: 15px;

    border-radius: 3px;
    color: #ADA296;
    background-color: #0F1A20;
    box-shadow: 0px 0px 5px 0px #ADA296;
}


.campoPadrao{
    width: 100%;
    background-color: transparent;
    border: 1px solid #ADA296;
    border-radius: 3px;
    color: #ADA296;
    padding: 0px 5px;
}

.campoPadrao:focus{
    border: 1px solid #ADA296;
}
.campoPadrao:active{
    border: 1px solid #ADA296;
}

.botaoPadrao{
    width: 100px;
    height: 30px;
    display: flex;
    align-items: center;
    padding: 5px 5px;
    justify-content: center;
    background-color: #ADA296;
    border: none;
    color: #0F1A20;
    transition: 0.1s;
    border-radius: 3px;
    font-weight: bold;
}

.botaoPadrao:hover{
    cursor: pointer;
    transform: scale(1.05);
}

.DivConteudoToast{
    color: #0F1A20;
    background-color: #ADA296;
    width: auto;
    padding: 10px;
    border-radius: 3px;
}
.DivConteudoToast p { white-space: nowrap }

.DivGlobalToast{
    position: absolute;
    bottom: 30px;
    left: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 1px;
    height: 1px;
    animation: slideIn 0.3s ease-in-out forwards;
}



/* Personalizando Input Radio */
.inputRadio{
    -webkit-appearance: none;
    margin: 0;
    appearance: none;
    background-color: #ADA296;
    width: 13px;
    height: 13px;
    border-radius: 100%;
    border: 3px solid #ADA296;
}
.inputRadio:hover{
    cursor: pointer;
    background-color: #ada296d3;
}
.inputRadio:checked{
    content: '';
    background-color: #0F1A20;
}